%define upstream_name       SQL-Statement
%define upstream_version 1.410

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    SQL parsing and processing engine
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone) >= 0.300.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Base::Convert)
BuildRequires: perl(Math::Complex) >= 1.560.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::Soundex) >= 3.40.0
BuildArch:  noarch

%description
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine. While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
SQL_STATEMENT_WARN_UPDATE=sure %__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SQL
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.410.0-2.mga6
+ Revision: 1033335
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.410.0-1.mga6
+ Revision: 1002292
- New version 1.410

* Fri Feb 19 2016 umeabot <umeabot> 1.407.0-2.mga6
+ Revision: 967956
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.407.0-1.mga6
+ Revision: 850837
- update to 1.407

* Wed Oct 15 2014 umeabot <umeabot> 1.405.0-4.mga5
+ Revision: 741183
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.405.0-3.mga5
+ Revision: 686147
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.405.0-2.mga4
+ Revision: 528746
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.405.0-1.mga4
+ Revision: 447095
- update to 1.405

* Fri Jun 07 2013 jquelin <jquelin> 1.404.0-1.mga4
+ Revision: 439862
- update to 1.404

* Sun Jan 13 2013 umeabot <umeabot> 1.402.0-2.mga3
+ Revision: 372440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.402.0-1.mga3
+ Revision: 342585
- update to 1.402

* Wed Nov 07 2012 jquelin <jquelin> 1.401.0-1.mga3
+ Revision: 315859
- update to 1.401

* Wed Feb 16 2011 jquelin <jquelin> 1.330.0-1.mga1
+ Revision: 52699
- update to 1.33

* Thu Jan 20 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 26952
- mageia rebuild
- imported package perl-SQL-Statement


* Tue Aug 17 2010 Jérôme Quelin <jquelin@mandriva.org> 1.310.0-1mdv2011.0
+ Revision: 570746
- update to 1.31

* Sun Aug 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.300.0-1mdv2011.0
+ Revision: 567731
- new version

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.280.0-1mdv2011.0
+ Revision: 553973
- update to 1.28

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.270.0-1mdv2011.0
+ Revision: 552629
- update to 1.27

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.260.0-1mdv2010.1
+ Revision: 536212
- update to 1.26

* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.250.0-1mdv2010.1
+ Revision: 521629
- update to 1.25

* Sat Nov 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1.230.0-1mdv2010.1
+ Revision: 467878
- update to 1.23

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.220.0-1mdv2010.1
+ Revision: 461357
- update to 1.22

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.0-1mdv2010.0
+ Revision: 419915
- new perl version macro
- fix one of the two failing tests, ignore other

* Fri Mar 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 349681
- update to new version 1.20

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2009.1
+ Revision: 338673
- update to new version 1.19

* Sat Jan 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.1
+ Revision: 333300
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.15-4mdv2009.0
+ Revision: 241906
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.15-2mdv2008.0
+ Revision: 23891
- rebuild


* Wed Mar 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.15-1mdk
- New release 1.15

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.14-2mdk
- fix url
- Fix Source
- remove -q
- mkrel

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-1mdk
- 1.14
- Convert files to Unix end of lines, don't leave them executable

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.09-1mdk
- 1.09

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.005-5mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.005-4mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.005-3mdk
- buildrequires

